#!/usr/bin/env python

import sys

import numpy as np

from interp.grid.gmsh import gmsh_grid
from interp.tools import exact_func, improved_answer

if __name__ == '__main__':
  if len(sys.argv) != 2:
    print >> sys.stderr, "usage: %s <gmsh file>" % sys.argv[0]
    sys.exit(1)

  g = gmsh_grid(sys.argv[1])
  g.dump_to_blender_files()

  X = np.array([0.2, 0.5, 0.0])
  R = g.get_containing_simplex(X)
  print R
  R, S = g.get_simplex_and_nearest_points(X, 10)
  print "r", R
  print "s", S

  a = g.run_baker(X)
  print a
  e = exact_func(X)
  print e
  print improved_answer(a, e)

  a = g.run_baker(X, extra_points = 5)
  print a
  e = exact_func(X)
  print e
  print improved_answer(a, e)

  a = g.run_baker(X, extra_points = 7)
  print a
  e = exact_func(X)
  print e
  print improved_answer(a, e)

  a = g.run_baker(X, order=3)
  print a
  e = exact_func(X)
  print e
  print improved_answer(a, e)

  a = g.run_baker(X, order=3, extra_points = 5)
  print a
  e = exact_func(X)
  print e
  print improved_answer(a, e)

  a = g.run_baker(X, order=3, extra_points = 7)
  print a
  e = exact_func(X)
  print e
  print improved_answer(a, e)
